// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Benchmark: creation of a binary table
//
// Giuseppe Vacanti, European Space Agency (1999 April 1)
//

#include <iostream>

#include <Tracer.h>
#include <param.h>
#include <errstr.h>
#include <Dal.h>
#include <StopWatch.h>

#include <ctime>

#include "bintable.h"

void bintable ()
{

  StopWatch sw;

  DataSet * set = dataSetServer->open("bintable.ds", Dal::Create);
  Table * tab = set->addTable("table", intParameter("nrows"));
  Column * col = tab->addColumn("column", Dal::Int32);
  ColumnData * ptr;
  ptr = col->data();
  int32 * c = ptr->int32Data();
  for(int i =0; i < intParameter("nrows"); i++) {
    c[i]=i;
  }
  delete ptr;
  dataSetServer->close(set);

  sw.stop();
  cout << "elapse: " << sw.elapsed()/CLOCKS_PER_SEC << endl;
}
