#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
use DAL;

my $nrows = shift || 1000;

my $set = DAL::dataset->new(name => 'bintable.ds');
my $tab = $set->addTable(name => 'table', nrows => $nrows);
my $col = $tab->addColumn(name => 'column', datatype => $DAL::REAL64);
my $v = $col->data();
for(my $i =0; $i < $nrows; $i++){
    $v->set($i,$i);
}
$set->release();
