#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
use DAL;
my $set = "andy.ds";
my $nx = 10;
my $ny = 5;
my $imdim = [$nx,$ny];

my $ds = DAL::dataset->new(name => $set,
			   mode => $DAL::CREATE);

my $im = $ds->addArray(name => "andy",
		       datatype => $DAL::INT32,
		       dimensions => $imdim);

$im->addAttribute(name => "michael", value => 42);

$ds->release();
$ds = DAL::dataset->new(name => $set,
			   mode => $DAL::READ);

$im = $ds->array(name => "andy");

my $at = $im->attribute(name => "michael");

print $at->asInt32();
$ds->release();

