#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
BEGIN { $| = 1; print "1..1\n"; }
use DAL;

my $VERSION = 1.0;
my $set = "abc.ds";

my $ds = DAL::dataset->new(name => $set,
			   accessmode => $DAL::CREATE);


$ds->addAttribute(name => 'aaa',
		  datatype => $DAL::INT32);


foreach($DAL::BOOL, $DAL::INT8, $DAL::INT16, $DAL::REAL32,
	$DAL::REAL64, $DAL::STRING) {
    local $\ = "\n";

    $ds->addAttribute(name => "F_$_",
		      datatype => $_,
		      value => 1,
		      comment => "Comment",
		      unit => "km/s"
		      );
    
    die if not $ds->hasAttribute(name => "F_$_");
    $ds->deleteAttribute(name => "F_$_");
    die if $ds->hasAttribute(name => "F_$_");

}



$ds->release();

unlink $set;

print "ok 1\n";
