#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
BEGIN { $| = 1; print "1..1\n"; }
use DAL;

$set = "abc.ds";

my $ds = DAL::dataset->new(name => $set,
			   mode => $DAL::CREATE);

my $tb = $ds->addTable(name => 'TABLE',
		       nrows => 1);

die("Cannot find block.\n") unless $ds->hasBlock(name => 'TABLE');

my $co = $tb->addColumn(name => "column",
			units => 'unit',
			label => 'Comment',
			datatype => $DAL::REAL32);

print "Column has dimensions ",$co->dimensions(),"\n";

die if $co->isVariableLength();

my $v = $co->data();
$co->release();
$tb->deleteColumn(name => "column");
$ds->release;

print "ok 1\n";


