#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
# string column
#
# [Wed Apr 14 16:45:58 1999] Giuseppe Vacanti
# [Tue Feb 26 17:00:00 2013] EC: modify test to use multi-char strings

BEGIN { $| = 1; print "1..1\n"; }
use DAL;
use DAL::utils qw(setStringCell getStringCell);

my $nrows=128-34; # printable character range
my $f = "abc.ds";
my $ds = DAL::dataset->new(name => $f,
			   mode => $DAL::CREATE);
my $tb = $ds->addTable(name => 'TABLE',
		       nrows => $nrows);
my $co = $tb->addColumn(name => 'COLUMN',
			units => 'pixel',
			dimensions => [3],
			datatype => $DAL::STRING);
for ($i=0;$i<$nrows;$i++) {
    setStringCell($co, $i, "ab".chr($i+34));
}

die "no table\n" unless $ds->hasBlock(name => 'TABLE');
die "no column\n" unless $tb->hasColumn(name => 'COLUMN');

$ds->release();
$ds = DAL::dataset->new(name => $f, mode=> $DAL::READ); 
$tb = $ds->table(name => 'TABLE');
$co = $tb->column(name => 'COLUMN');
for ($i=0; $i< $tb->rows(); $i++) {
    die("mismatch at row $i - ",getStringCell($co,$i), "\n")
	unless getStringCell($co,$i) eq "ab".chr($i+34);
}
unlink $f;
print "ok 1\n";
