#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
BEGIN { $| = 1; print "1..1\n"; }
use DAL;

$set = "abc.ds";

my $ds = DAL::dataset->new(name => $set,
			   mode => $DAL::CREATE);

my $tb = $ds->addTable(name => 'TABLE',
		       nrows => 100);

my $co = $tb->addColumn(name => "colum",
			units => 'unit',
			label => 'Comment',
			datatype => $DAL::INT32,
			dimensions => []);

for(my $k=0; $k<$tb->rows(); ++$k){
    $co->setCellSize(row => $k, size => $k+1);
    print "Row $k has size ",$co->cellSize(row => $k),"\n";
}

###print "Column has dimensions ",($co->dimensions())[0],"\n";

die unless $co->isVariableLength();


for(my $k=0; $k<$tb->rows(); ++$k){
    my $v = $co->cellData(row => $k);
    for(my $i=0; $i<$co->cellSize(row => $k); $i++){ $v->set($i,$i) }
}


$co->release;

$ds->release;

print "ok 1\n";


